#include <bits/stdc++.h>
using namespace std;
int kq(int a)
{
	int i,dem=0;
	for(i=1;i<=a;i++)
	{
		if(a%i==0)dem++;
	}
	return dem;
}
int main()
{
	ifstream f1("BAI1_18.INP");
	ofstream f2("BAI1_18.OUT");
	int n,k,i,dem=0;
	f1>>n>>k;
	for(i=1;i<=n;i++)
	{
		if(kq(i)==k)dem++;
	}
	f2<<dem;
}
